
struct Employees: Equatable {
    var name: String
    var age: Int
}
func compareValues<T: Equatable>(value1: T, value2: T) -> String {
    var message: String!
    if value1 != value2 {
        message = "The values are different"
    } else {
        message = "The values are equal"
    }
    return message
}
let employee1 = Employees(name: "George", age: 55)
let employee2 = Employees(name: "Robert", age: 55)

let result = compareValues(value1: employee1, value2: employee2)
print(result)  // "The values are different"
