
protocol Printer {
    var name: String { get set }
}
extension Printer {
    func printdescription() {
        print("The name is \(name)")
    }
}
struct Employees: Printer {
    var name: String
    var age: Int
}
struct Offices: Printer {
    var name: String
    var employees: Int
}
let employee1 = Employees(name: "John", age: 45)
let office1 = Offices(name: "Mail", employees: 2)

office1.printdescription()  // "The name is Mail"
