
struct Item {
    var quantity = 0.0
    var name = "Not defined"
    var price = 0.0
    
    mutating func total() {
        let cost = quantity * price
        name += " $ \(cost)"
    }
}
var purchase = Item()
purchase.quantity = 2
purchase.name = "Lamp"
purchase.price = 10.50

purchase.total()
print("Your purchase: \(purchase.name)")  // "Your purchase: Lamp $ 21.0"
